Namespaces | Macros
RVNGZipStream.cpp File Reference
`#include <cassert>`
`#include <string>`
`#include <string.h>`
`#include <stdio.h>`
`#include <utility>`
`#include <zlib.h>`
`#include "RVNGZipStream.h"`
`#include <librevenge-stream/librevenge-stream.h>`

## Namespaces
| librevenge

## Macros
#define | CDIR_ENTRY_SIG 0x02014b50
#define | LOC_FILE_HEADER_SIG 0x04034b50
#define | CDIR_END_SIG 0x06054b50

## Macro Definition Documentation

## ◆ CDIR_END_SIG

#define CDIR_END_SIG 0x06054b50

## ◆ CDIR_ENTRY_SIG

#define CDIR_ENTRY_SIG 0x02014b50

## ◆ LOC_FILE_HEADER_SIG

#define LOC_FILE_HEADER_SIG 0x04034b50

## Variable Documentation

## ◆ cdir_disk

unsigned short cdir_disk

## ◆ cdir_entries

unsigned short cdir_entries

## ◆ cdir_offset

unsigned cdir_offset

## ◆ cdir_size

unsigned cdir_size

## ◆ comment

std::string comment

## ◆ comment_size

unsigned short comment_size

## ◆ compressed_size

unsigned compressed_size

## ◆ compression

unsigned short compression

## ◆ crc32

unsigned crc32

## ◆ creator_version

unsigned short creator_version

## ◆ disk_entries

unsigned short disk_entries

## ◆ disk_num

unsigned short disk_num

## ◆ external_attr

unsigned external_attr

## ◆ extra_field

std::string extra_field

## ◆ extra_field_size

unsigned short extra_field_size

## ◆ file_comment

std::string file_comment

## ◆ file_comment_size

unsigned short file_comment_size

## ◆ filename

std::string filename

Referenced by librevenge::RVNGFileStream::RVNGFileStream().

## ◆ filename_size

unsigned short filename_size

## ◆ general_flag

unsigned short general_flag

## ◆ internal_attr

unsigned short internal_attr

## ◆ lastmod_date

unsigned short lastmod_date

## ◆ lastmod_time

unsigned short lastmod_time

## ◆ min_version

unsigned short min_version

## ◆ offset

unsigned offset

Referenced by librevenge::IStorage::loadSmallBlocks(), librevenge::IStream::readUsingStorage(), librevenge::RVNGFileStream::seek(), librevenge::RVNGMemoryInputStream::seek(), and librevenge::RVNGStringStream::seek().

## ◆ uncompressed_size

unsigned uncompressed_size